"""Interface for an OntoUML shape as exported by Visual Paradigm"""


from dataclasses import dataclass


@dataclass
class Shape:
    """Interface for an OntoUML shape as exported by Visual Paradigm"""

    identifier: str
    """The id generated by Visual Paradigm for the given shape"""
    shape_type: str
    """The type of the shape on the view"""
